public resource endpoint
URL: /applications/<id>/badges/@public.<format>
Supported Methods
| GET | Get a list of all public badges defined by this application. |
Query String Arguments
- start-index
- Index of the first item to return. The first item in the list has index 1.
- max-results
- Maximum number of items to return in the list response.
Resource Type
This endpoint returns an object of type List<Badge>.
- entries (array<Badge>)
- The items within the selected range.
- totalResults (integer)
- The total number of items in the whole list of which this object is a chunk.
Client Library Methods for PHP
- Get a list of all public badges defined by this application.
$tp->applications->getPublicBadges(array( # Required Parameters "id" => $id, # Optional Parameters "limit" => $limit, "offset" => $offset, ))
Example Request
GET /applications/6p012877b14c76970c/badges/@public.json?max-results=4 HTTP/1.1
Host: api.typepad.com
HTTP/1.0 200 OK
Content-type: application/json
Content-length: 45
{
"entries": [],
"totalResults": 0
}